package com.fos.core.base;

import java.io.Serializable;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.conf.GConstants;

/**
 * 基本Entity
 * @team BBDTEK Dev Team
 * @version 1.0
 * @time 2016-03-10
 *
 * @param <T>
 */
public abstract class BaseEntity implements Serializable,Cloneable {

    /**
     * 
     */
    private static final long serialVersionUID = 5983695342897355824L;
    @JSONField(serialize=false)
    protected Long id;
    
    public Long getId() {
        return id;
    }
    public void setId(Long id) {
        this.id = id;
    }
    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
